# awk script to convert *.txt color file to saoimage color map
#
BEGIN { red[256] = 0; green[256] = 0; blue[256] = 0; }
 { 
 i = $1 - 1
 red[i]   = $2/255.0 
 green[i] = $3/255.0 
 blue[i]  = $4/255.0 
 }
END {
  printf "# SAOimage color table\n"
  printf "#\n"
  printf "PSEUDOCOLOR\n"
  printf "RED: \n"
  for (i=0; i<256; i+= 10) printf "(%.3f,%.3f)\n", i/255.0 , red[i]
  printf "GREEN: \n"
  for (i=0; i<256; i+= 10) printf "(%.3f,%.3f)\n", i/255.0 , green[i]
  printf "BLUE: \n"
  for (i=0; i<256; i+= 10) printf "(%.3f,%.3f)\n", i/255.0 , blue[i] 
}
